//
//	tardy - a tar post-processor
//	Copyright (C) 2002 Peter Miller;
//	All rights reserved.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to manipulate stdios
//

#include <ac/stdio.h>
#include <ac/stdarg.h>


#ifndef HAVE_VSNPRINTF

int
vsnprintf(char *buffer, size_t, const char *fmt, va_list ap)
{
    return vsprintf(buffer, fmt, ap);
}

#endif

#ifndef HAVE_SNPRINTF

int
snprintf(char *buffer, size_t bufsize, const char *fmt, ...)
{
    va_liat ap;
    va_start(ap, fmt);
    int n = vsnprintf(buffer, bufsize, fmt, ap);
    va_end(ap);
    return n;
}

#endif
